{ config, ... }:
{
  virtualisation.oci-containers.containers.lubelogger = {
    autoStart = true;
    image = "ghcr.io/hargata/lubelogger";
    ports = [ "6754:8080" ];
    volumes = [ 
      "/media/nas/ssd/nix-app-data/lubelogger:/App/data"
      "/media/nas/ssd/nix-app-data/lubelogger/keys:/root/.aspnet/DataProtection-Keys"
    ];
    environmentFiles = [
      "/media/nas/ssd/nix-app-data/lubelogger/lubelogger.env"
    ];
    environment = {
      PUID = toString config.users.users.nix-apps.uid;
      PGID = toString config.users.groups.jallen-nas.gid;
      TZ = "America/Chicago";
    };
  };
}